From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 13 June 2012<P>

Wow, what a way to wake up..."Congratulations Amber and Kirk!"<BR>
<BR>
Keep us posted as to the date. Is there an engagement photo yet?<BR>
<BR>
Great issue... with style... and of course thanks for the kissing poem pick!<BR>
<BR>
Congratulations to all front pagers and keep up the good words!<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 13 June 2012<P>

Wait, what's an "engagement photo", is that a thing?<BR>
<BR>
thanks for all the good wishes!
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 13 June 2012<P>

I was thinking about a wedding announcement I suppose but an engagement photo would be nice...just a special picture of when you asked her to marry you..or something to that effect.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 13 June 2012<P>

No I just remembered what I meant..in the south you announce your engagement on the social page of the newspaper with a smashing picture of the loving two..who are about to be wed. A bit old fashioned...perhaps.<BR>
<BR>
bk<BR>
<BR>

<HR>